<?php

// 登入 登出
$route['*']['/'] = array('LoginController', 'Signin');
$route['*']['/signin'] = array('LoginController', 'Signin');
$route['get']['/signout'] = array('LoginController', 'Signout');
$route['*']['/error'] = array('ErrorController', 'index');
// 项目
$route['*']['/project/welcome'] = array('MainController', 'welcome');
$route['get']['/project/list'] = array('MainController', 'prolist');
$route['*']['/project/index'] = array('ProjectController', 'index');
$route['*']['/project/:pid/overview'] = array('ProjectController', 'proOverview');
$route['*']['/project/:pid/section'] = array('ProjectController', 'proSection');
$route['*']['/project/:pmid/measure'] = array('ProjectController', 'proMeasure');
$route['*']['/project/section/get'] = array('ProjectController', 'getAjaxSection');
$route['*']['/project/:pid/section/:mpid/measure'] = array('ProjectController', 'proSectionMeasure');
$route['*']['/project/:pid/section/:pmid/detail'] = array('ProjectController', 'proDetail');
$route['*']['/project/:pid/section/:pmid/files'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/page/:pindex'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/recover'] = array('ProjectController', 'proSectionFilesRecover');
$route['*']['/project/:pid/section/:pmid/files/recover/page/:pindex'] = array('ProjectController', 'proSectionFilesRecover');
$route['*']['/project/section/:iaid/file'] = array('ProjectController', 'getItemFileHistory');
$route['*']['/project/section/get/:iaid/attachment'] = array('ProjectController', 'proSectionGetFiles');
$route['*']['/project/:pid/section/:pmid/files/num/:numpname/page/:pindex'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/page/:pindex/num/:numpname'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/user/:userid/page/:pindex'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/num/:numpname/user/:userid/page/:pindex'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/user/:userid/num/:numpname/page/:pindex'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/user/:userid/page/:pindex/num/:numpname'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/num/:numpname/page/:pindex/user/:userid'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/page/:pindex/num/:numpname/user/:userid'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/page/:pindex/user/:userid/num/:numpname'] = array('ProjectController', 'proSectionFiles');

// R
$route['*']['/rproject/index'] = array('RProjectController', 'index');
$route['*']['/rproject/:pid/section'] = array('RProjectController', 'proSection');
$route['*']['/rproject/:pid/section/:mpid/measure'] = array('RProjectController', 'proSectionMeasure');
$route['*']['/rproject/:pid/section/:pmid/detail'] = array('RProjectController', 'proDetail');
$route['*']['/rproject/:pmid/measure/detail'] = array('RProjectController', 'proMeasure');
$route['*']['/rproject/:pid/section/:pmid/report/:mpid'] = array('RProjectController', 'proReport');
$route['*']['/rproject/:pid/section/:pmid/files'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/page/:pindex'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/recover'] = array('RProjectController', 'proSectionFilesRecover');
$route['*']['/rproject/:pid/section/:pmid/files/recover/page/:pindex'] = array('RProjectController', 'proSectionFilesRecover');
$route['*']['/rproject/section/get/:iaid/attachment'] = array('RProjectController', 'proSectionGetFiles');
$route['*']['/rproject/:pid/section/:pmid/files/num/:numpname/page/:pindex'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/page/:pindex/num/:numpname'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/page/:pindex/num/:numpname'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/user/:userid/page/:pindex'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/page/:pindex/user/:userid'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/num/:numpname/user/:userid/page/:pindex'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/user/:userid/num/:numpname/page/:pindex'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/user/:userid/page/:pindex/num/:numpname'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/num/:numpname/page/:pindex/user/:userid'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/page/:pindex/num/:numpname/user/:userid'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/:pid/section/:pmid/files/page/:pindex/user/:userid/num/:numpname'] = array('RProjectController', 'proSectionFiles');

// S
$route['get']['/sproject/index'] = array('SProjectController', 'index');
$route['get']['/sproject/:pid/section'] = array('SProjectController', 'proSection');
$route['get']['/sproject/:pid/section/:pmid/detail'] = array('SProjectController', 'proDetail');
$route['get']['/sproject/:pid/section/measure'] = array('SProjectController', 'proMeasure');
$route['*']['/sproject/:pid/section/:pmid/files'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/page/:pindex'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/recover'] = array('SProjectController', 'proSectionFilesRecover');
$route['*']['/sproject/section/get/:iaid/attachment'] = array('SProjectController', 'proSectionGetFiles');
$route['*']['/sproject/:pid/section/:pmid/files/recover/page/:pindex'] = array('SProjectController', 'proSectionFilesRecover');
$route['*']['/sproject/:pid/section/:pmid/files/num/:numpname/page/:pindex'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/page/:pindex/num/:numpname'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/user/:userid/page/:pindex'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/num/:numpname/user/:userid/page/:pindex'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/user/:userid/num/:numpname/page/:pindex'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/user/:userid/page/:pindex/num/:numpname'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/num/:numpname/page/:pindex/user/:userid'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/page/:pindex/num/:numpname/user/:userid'] = array('SProjectController', 'proSectionFiles');
$route['*']['/sproject/:pid/section/:pmid/files/page/:pindex/user/:userid/num/:numpname'] = array('SProjectController', 'proSectionFiles');
// 登入登出API
$route['*']['/user/profile'] = array('UserController', 'index');
$route['*']['/user/profile/sms'] = array('UserController', 'sms');
$route['*']['/user/profile/sms/edit'] = array('UserController', 'smsEdit');
$route['*']['/user/profile/check/mobile'] = array('UserController', 'checkMobile');
$route['*']['/user/profile/sms/send/verify'] = array('UserController', 'smsSend');
$route['*']['/user/avatar'] = array('UserController', 'avatar');
$route['*']['/user/repasswd'] = array('UserController', 'repasswd');
$route['*']['/user/profile/app'] = array('UserController', 'appdownload');
// Client API
// 登入登出API
$route['*']['/api/client/signin'] = array('ClientController', 'ClientSignin');
//$route['*']['/api/client/fileup'] = array('ClientController', 'ClientFileup');
/**
 * 创建合同标段
 */
$route['*']['/api/client/:uid/:bname/:ckey/creatmeasure'] = array('ClientController', 'ClientCreatmeasure');
/**
 * 提交期数据 上报
 * 标段ID upfile文件
 */
$route['*']['/api/client/period/:userid/:tenderid/:phaseno/creat'] = array('ClientController', 'ClientPeriod');
$route['*']['/api/client/measure/status/:tenderid/get'] = array('ClientController', 'getMAStatus'); //当前期数状态查询接口
/**
 * 用户查询接口
 * uemail
 */
$route['*']['/api/client/user/get/search'] = array('ClientController', 'getUserSearch');
/**
 * 获取当前期所有审核用户及其状态
 * 标段ID 期数ID
 */
$route['*']['/api/client/user/get/all/:tenderid/:phaseno/measure'] = array('ClientController', 'getAlluserMeasure');
/**
 * 添加审核人接口
 */
$route['*']['/api/client/user/add/audit/measure'] = array('ClientController', 'addAuditMeasure');
/**
 * 查询标段期数是否存在
 */
$route['*']['/api/client/check/status/measure'] = array('ClientController', 'checkMeasureStatus');
/**
 * 根据用户查询当前关联标段
 * 点击查询所有参与的项目
 * 登录时查询关联项目更新
 */
$route['*']['/api/client/user/get/audit/project'] = array('ClientController', 'getAuditProject');
/**
 * 标段期审核接口
 */
$route['*']['/api/client/user/audit/measure'] = array('ClientController', 'auditMeasure');
/**
 * 查询标段更新
 * 双击项目
 */
$route['*']['/api/client/tender/get/:tenderid/update'] = array('ClientController', 'checkTenderUpdate');
/**
 * 手动创建审核人员列表
 */
$route['*']['/api/client/phaseno/userlist/create'] = array('ClientController', 'creatTenderNumPnameUser');
/**
 * 手动创建审核人员列表
 */
$route['*']['/api/client/user/del/:userid/:tenderid/:phaseno/audit'] = array('ClientController', 'delAuditMeasure');
/**
 * 返回指定用户参与的所有项目
 * 双击打开项目接口
 */
$route['*']['/api/client/user/get/:userid/allproject'] = array('ClientController', 'getUserALLProject');
/**
 * 返回指定用户参
 */
$route['*']['/api/client/user/get/:userid/info'] = array('ClientController', 'getUserInfo');
/**
 * 设置审核未通过操作接口
 */
$route['*']['/api/client/user/set/:userid/:tenderid/:phaseno/checkno'] = array('ClientController', 'setCheckno');
/**
 * 创建未通过新一期
 */
$route['*']['/api/client/user/create/:tenderid/:phaseno/new/audit'] = array('ClientController', 'createNewAudit');
/**
 * 重做新一期获取原报上报文件
 */
$route['*']['/api/client/user/get/:tenderid/:phaseno/report/file'] = array('ClientController', 'getReportFile');
/**
 * 从桌面软件端变更标段名称接口
 */
$route['*']['/api/client/tender/:BidID/:BidNewName/update'] = array('ClientController', 'updateTenderName');
/**
 * 获取登录界面显示软件名称
 */
$route['*']['/api/client/software/title'] = array('ClientVerController', 'getLoginTitle');
/**
 * 附件上传接口
 */
$route['*']['/api/client/tender/attachment/:tenderid/:uid/upload'] = array('ClientController', 'uploadItemFile');
/**
 * 根据标段ID获取全部附件列表
 */
$route['*']['/api/client/tender/attachment/:tenderid/list'] = array('ClientController', 'getItemFileList');
/**
 * 根据附件ID编辑文件名和备注
 */
$route['*']['/api/client/tender/attachment/info/:fileid/update'] = array('ClientController', 'updateItemFileDesc');
/**
 * 根据关联列表ID删除附件关联关系
 */
$route['*']['/api/client/tender/attachment/:fileid/del'] = array('ClientController', 'delItemFile');
/**
 * 根据标段ID获取全部附件列表
 */
$route['*']['/api/client/tender/attachment/get/:tenderid/files/all'] = array('ClientController', 'getAttaFilesAll');
/**
 * 根据标段ID和期数获取审核意见
 */
$route['*']['/api/client/tender/get/:tenderid/:phaseno/auditopinion'] = array('ClientController', 'getAuditOpinion');
/**
 * 根据标段ID和期数获取审核意见
 */
$route['*']['/api/client/tender/get/:tenderid/exist'] = array('ClientController', 'getCountPmid');
// admin
$route['*']['/manage'] = array('[admin]LoginController', 'signIn');
$route['*']['/manage/signin'] = array('[admin]LoginController', 'signIn');
$route['*']['/manage/signout'] = array('[admin]LoginController', 'signOut');
$route['*']['/manage/user/add'] = array('[admin]AdminController', 'addUser');
$route['*']['/manage/user/edit/:uid/uid'] = array('[admin]AdminController', 'editUser');
$route['*']['/manage/user/list'] = array('[admin]AdminController', 'userList');
$route['*']['/manage/user/repasswd/:uid/uid'] = array('[admin]AdminController', 'userRepasswd');
$route['*']['/manage/option'] = array('[admin]AdminController', 'option');
$route['get']['/manage/user/:uid/isstop'] = array('[admin]AdminController', 'userSwitch');

$route['*']['/manage/item/list'] = array('[admin]ItemController', 'itemList');
$route['*']['/manage/item/list/:pid/project'] = array('[admin]ItemController', 'itemList');
$route['*']['/manage/item/del/:pmid'] = array('[admin]ItemController', 'itemDel');
$route['*']['/manage/restore/list'] = array('[admin]RestoreController', 'restoreList');
$route['*']['/manage/sys/info'] = array('[admin]SysController', 'sysinfo');
$route['*']['/manage/sys/sms/switch'] = array('[admin]SysController', 'smsSwitch');
$route['*']['/manage/sys/sign/switch'] = array('[admin]SysController', 'signSwitch');
$route['*']['/manage/sys/intermediate/switch'] = array('[admin]SysController', 'interMediateSwitch');

$route['*']['/manage/item/index'] = array('[admin]ProController', 'index');
$route['*']['/manage/item/:pid/section'] = array('[admin]ProController', 'section');
$route['*']['/manage/item/:pmid/period'] = array('[admin]ProController', 'period');
// upgrade
$route['*']['/api/upgrade/v1/get/web/version'] = array('UpgradeController', 'getWebVersion');
$route['*']['/api/upgrade/v1/get/software/version'] = array('UpgradeController', 'getSoftwareVersion');
$route['*']['/api/upgrade/v1/get/switch/status'] = array('UpgradeController', 'getSwitchStatus');
$route['*']['/api/upgrade/v1/set/switch/:onoff'] = array('UpgradeController', 'setSwitchStatus');
$route['*']['/api/upgrade/v1/set/upgrade/info'] = array('UpgradeController', 'setUpgradeInfo');
$route['*']['/api/upgrade/v1/get/version/status'] = array('UpgradeController', 'getVersionAndStatus');

//$route['*']['/user/add/:username/:realname'] = array('[admin]UserController', 'ZGaddUser');
//$route['*']['/service/user'] = array('[admin]ServiceController', 'ZGServer');
//$route['*']['/service/getwsdl'] = array('[admin]ServiceController', 'getWSDL');
//$route['*']['/service/testsoap'] = array('[admin]ServiceController', 'testSoap');

// App api
$route['*']['/api/app/serverlogin'] = array('AppController', 'ServerLogin');
$route['*']['/api/app/signin'] = array('AppController', 'AppSignin');
$route['*']['/api/app/unsectionlist'] = array('AppController', 'UnSectionList');
$route['*']['/api/app/itemlist'] = array('AppController', 'ItemCkeckedList');
$route['*']['/api/app/sectionlist/:pid'] = array('AppController', 'SectionCheckedList');
$route['*']['/app/rproject/:pid/section/:pmid/detail'] = array('AppController', 'proDetail');

//share
$route['*']['/share/project/:hashcode'] = array('ShareController', 'project');
$route['*']['/share/project/tender/:tenderid/:hashcode'] = array('ShareController', 'proTender');
$route['*']['/share/section/:hashcode'] = array('ShareController', 'section');
$route['*']['/share/section/tender/:tenderid/:hashcode'] = array('ShareController', 'secTender');
$route['*']['/share/tender/:hashcode'] = array('ShareController', 'tender');
$route['*']['/share/get/project'] = array('ShareController', 'ajaxGetProject');
$route['*']['/share/get/section'] = array('ShareController', 'ajaxGetSection');
$route['*']['/share/get/tender'] = array('ShareController', 'ajaxGetTender');
$route['*']['/share/get'] = array('ShareController', 'getShare');
$route['*']['/share/set'] = array('ShareController', 'setShare');

$route['*']['/share/error'] = array('ShareController', 'error');

// 在线签章
$route['*']['/sign/index'] = array('SignController', 'index');
$route['*']['/sign/needlist'] = array('SignController', 'signNeedList');
$route['*']['/sign/needview/:sid'] = array('SignController', 'signNeedView');
$route['*']['/sign/donesign'] = array('SignController', 'signDone');

$route['*']['/sign/mylist'] = array('SignController', 'signMyList');
$route['*']['/sign/mylist/page/:pindex'] = array('SignController', 'signMyList');
$route['*']['/sign/mylist/project/:pid'] = array('SignController', 'signMyList');
$route['*']['/sign/mylist/project/:pid/page/:pindex'] = array('SignController', 'signMyList');
$route['*']['/sign/mylist/project/:pid/tender/:pmid'] = array('SignController', 'signMyList');
$route['*']['/sign/mylist/project/:pid/tender/:pmid/page/:pindex'] = array('SignController', 'signMyList');
$route['*']['/sign/mylist/project/:pid/tender/:pmid/phaseno/:mpid'] = array('SignController', 'signMyList');
$route['*']['/sign/mylist/project/:pid/tender/:pmid/phaseno/:mpid/page/:pindex'] = array('SignController', 'signMyList');
$route['*']['/sign/changeshare'] = array('SignController', 'signChangeShare');

$route['*']['/sign/onlist'] = array('SignController', 'signOnList');
$route['*']['/sign/onlist/page/:pindex'] = array('SignController', 'signOnList');
$route['*']['/sign/onlist/project/:pid'] = array('SignController', 'signOnList');
$route['*']['/sign/onlist/project/:pid/page/:pindex'] = array('SignController', 'signOnList');
$route['*']['/sign/onlist/project/:pid/tender/:pmid'] = array('SignController', 'signOnList');
$route['*']['/sign/onlist/project/:pid/tender/:pmid/page/:pindex'] = array('SignController', 'signOnList');
$route['*']['/sign/onlist/project/:pid/tender/:pmid/phaseno/:mpid'] = array('SignController', 'signOnList');
$route['*']['/sign/onlist/project/:pid/tender/:pmid/phaseno/:mpid/page/:pindex'] = array('SignController', 'signOnList');

$route['*']['/sign/donelist'] = array('SignController', 'signDoneList');
$route['*']['/sign/donelist/page/:pindex'] = array('SignController', 'signDoneList');
$route['*']['/sign/donelist/project/:pid'] = array('SignController', 'signDoneList');
$route['*']['/sign/donelist/project/:pid/page/:pindex'] = array('SignController', 'signDoneList');
$route['*']['/sign/donelist/project/:pid/tender/:pmid'] = array('SignController', 'signDoneList');
$route['*']['/sign/donelist/project/:pid/tender/:pmid/page/:pindex'] = array('SignController', 'signDoneList');
$route['*']['/sign/donelist/project/:pid/tender/:pmid/phaseno/:mpid'] = array('SignController', 'signDoneList');
$route['*']['/sign/donelist/project/:pid/tender/:pmid/phaseno/:mpid/page/:pindex'] = array('SignController', 'signDoneList');

$route['*']['/share'] = array('ShareController', 'signShare');

$route['*']['/sign/create'] = array('SignController', 'signCreate');
$route['*']['/sign/create/page/:pindex'] = array('SignController', 'signCreate');
$route['*']['/sign/create/project/:pid'] = array('SignController', 'signCreate');
$route['*']['/sign/create/project/:pid/page/:pindex'] = array('SignController', 'signCreate');
$route['*']['/sign/create/project/:pid/tender/:pmid'] = array('SignController', 'signCreate');
$route['*']['/sign/create/project/:pid/tender/:pmid/page/:pindex'] = array('SignController', 'signCreate');
$route['*']['/sign/create/project/:pid/tender/:pmid/phaseno/:mpid'] = array('SignController', 'signCreate');
$route['*']['/sign/create/project/:pid/tender/:pmid/phaseno/:mpid/page/:pindex'] = array('SignController', 'signCreate');

$route['*']['/sign/list'] = array('SignController', 'signList');
$route['*']['/sign/list/page/:pindex'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/page/:pindex'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid/page/:pindex'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid/phaseno/:mpid'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid/phaseno/:mpid/page/:pindex'] = array('SignController', 'signList');
$route['*']['/sign/list/:nosign'] = array('SignController', 'signList');
$route['*']['/sign/list/:nosign/page/:pindex'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/:nosign'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/:nosign/page/:pindex'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid/:nosign'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid/:nosign/page/:pindex'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid/phaseno/:mpid/:nosign'] = array('SignController', 'signList');
$route['*']['/sign/list/project/:pid/tender/:pmid/phaseno/:mpid/:nosign/page/:pindex'] = array('SignController', 'signList');

$route['*']['/sign/set/:sid'] = array('SignController', 'signSignSet');
$route['*']['/sign/upsigner'] = array('SignController', 'signUpSigner');
$route['*']['/sign/view/:sid'] = array('SignController', 'signView');
$route['*']['/sign/search/user'] = array('SignController', 'signSearchUser');
/**
 * 创建签署报表
 */
$route['*']['/api/client/sign/create'] = array('ClientController', 'getSignCreate');
/**
 * 获取报表列表
 */
$route['*']['/api/client/sign/list'] = array('ClientController', 'getSignList');

/**
 * 查询标段关注人信息列表
 */
$route['*']['/api/client/tender/:tenderid/concernaudit/list'] = array('ClientController', 'getConcernAuditList');

/**
 * 添加关注标段
 */
$route['*']['/api/client/tender/concernaudit/create'] = array('ClientController', 'addConcernAudit');
/**
 * 取消关注标段
 */
$route['*']['/api/client/tender/concernaudit/del'] = array('ClientController', 'delConcernAudit');

/**
 * 软件生成报表开关
 */
$route['*']['/api/client/sign/switch'] = array('ClientController', 'signSwitch');

/**
 * 创建中间计量表
 */
$route['*']['/api/client/intermediate/create'] = array('ClientController', 'getInterMediateCreate');
/*
 * 上传中间计量表图片，一张一张传
 */
$route['*']['/api/client/intermediate/upload'] = array('ClientController', 'getInterMediateUpload');
/**
 * 获取报表列表
 */
$route['*']['/api/client/intermediate/list'] = array('ClientController', 'getInterMediateList');

/*
 * 获取签名
 */
$route['*']['/api/app/sign/catch'] = array('AppController', 'getSignPic');
/*
 * 上传签名照
 */
$route['*']['/api/app/sign/upload'] = array('AppController', 'uploadSignPic');

// S 中间计量表
$route['*']['/sproject/:pid/section/:pmid/intermediate'] = array('SProjectController', 'proSectionInterMediate');
$route['*']['/sproject/:pid/section/:pmid/intermediate/page/:pindex'] = array('SProjectController', 'proSectionInterMediate');
$route['*']['/sproject/:pid/section/:pmid/phaseno/:mpid/intermediate'] = array('SProjectController', 'proSectionInterMediate');
$route['*']['/sproject/:pid/section/:pmid/phaseno/:mpid/intermediate/page/:pindex'] = array('SProjectController', 'proSectionInterMediate');
$route['*']['/sproject/make/intermediate/:sid'] = array('SProjectController', 'interMediateMake');
$route['*']['/sproject/make/intermediate/:sid/page/:page'] = array('SProjectController', 'interMediateMake');
$route['*']['/sproject/upload/intermediate/:sid'] = array('SProjectController', 'interMediateUpload');
$route['*']['/sproject/intermediate/view/:sid'] = array('SProjectController', 'signView');
/**
 * 中间计量表添加草图功能开关
 */
$route['*']['/api/client/intermediate/switch'] = array('ClientController', 'interMediateSwitch');

//手机app扫码登录
$route['*']['/api/app/scan/validate'] = array('AppController', 'scanValidate');
$route['*']['/api/app/scan/login'] = array('AppController', 'ScanLogin');
$route['*']['/api/app/scan/autologin'] = array('AppController', 'autoScanLogin');

// R 中间计量表
$route['*']['/rproject/:pid/section/:pmid/intermediate'] = array('RProjectController', 'proSectionInterMediate');
$route['*']['/rproject/:pid/section/:pmid/intermediate/page/:pindex'] = array('RProjectController', 'proSectionInterMediate');
$route['*']['/rproject/:pid/section/:pmid/phaseno/:mpid/intermediate'] = array('RProjectController', 'proSectionInterMediate');
$route['*']['/rproject/:pid/section/:pmid/phaseno/:mpid/intermediate/page/:pindex'] = array('RProjectController', 'proSectionInterMediate');
$route['*']['/rproject/intermediate/view/:sid'] = array('RProjectController', 'signView');

// W 中间计量表
$route['*']['/project/:pid/section/:pmid/intermediate'] = array('ProjectController', 'proSectionInterMediate');
$route['*']['/project/:pid/section/:pmid/intermediate/page/:pindex'] = array('ProjectController', 'proSectionInterMediate');
$route['*']['/project/:pid/section/:pmid/phaseno/:mpid/intermediate'] = array('ProjectController', 'proSectionInterMediate');
$route['*']['/project/:pid/section/:pmid/phaseno/:mpid/intermediate/page/:pindex'] = array('ProjectController', 'proSectionInterMediate');
$route['*']['/project/intermediate/view/:sid'] = array('ProjectController', 'signView');


?>